Jump to content

Huex3

Members
  • Content Count

    0
  • Joined

  • Last visited

Community Reputation

0 New Car Smell
  1. Hey there! I have F1 2014 on Steam. I'm unable to play it as a message appears saying "DirectX10 or 11 support required". I don't know why this happens as other games, both my other games at Steam and other games as well works fine. I have a version of DirectX that's compatible (Version 10 to be exact), and I fulfill the other technical requirements as well. I tried to uninstall the game, but I did it in vain as the same message popped up. I asked for help in the Steam forums, but perhaps I can get an accurate solution here. Thanks in advance.
×